Bug 342479 - APNG export support.
Summary: APNG export support.
Status: RESOLVED FIXED
Alias: None
Product: krita
Classification: Unclassified
Component: File formats (show other bugs)
Version: unspecified
Platform: Other Linux
: NOR wishlist
Target Milestone: ---
Assignee: Krita Bugs
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2015-01-04 11:53 UTC by wolthera
Modified: 2021-03-11 01:28 UTC (History)
5 users (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description wolthera 2015-01-04 11:53:49 UTC
Whenever the the animation plug-in is finished, having support for these would be a good idea.

http://en.wikipedia.org/wiki/GIF
http://en.wikipedia.org/wiki/APNG

Reproducible: Always
Comment 1 Halla Rempt 2016-01-24 15:45:46 UTC
APNG might be a problem, it's hardly supported anywhere.

WISHGROUP: Stretchgoal

Part of the 2015 accepted stretch goal.
Comment 2 wolthera 2017-05-23 15:58:39 UTC
APNG is supported in chrome nowadays :D:D:D

/hides

I'll check this summer how difficult it'll be to add apng export.

https://9to5google.com/2017/04/27/chrome-59-animated-png/
Comment 3 Storm Engineer 2019-01-21 09:17:13 UTC
It's been a while. Maybe this option should be revisited?
Comment 4 Dmitry Kazakov 2019-01-21 10:24:15 UTC
It shouldn't be too difficult to implement it. We just need to pass proper arguments to FFMPEG to encode the frames into APNG.
Comment 5 Volga 2020-05-08 13:12:38 UTC
Alternatively, we can make use of a patch by Mozilla to extended our PNG support.
https://dxr.mozilla.org/mozilla-central/source/media/libpng/apng.patch
As Mozilla created the APNG specification, it's reasonable to make use of this code.
Comment 6 Tiar 2021-03-11 01:28:31 UTC
It's already implemented via ffmpeg.